CVE-2021-39932

Name
CVE-2021-39932
Description
An issue has been discovered in GitLab CE/EE affecting all versions starting from 11.0 before 14.3.6, all versions starting from 14.4 before 14.4.4, all versions starting from 14.5 before 14.5.2. Using large payloads, the diff feature could be used to trigger high load time for users reviewing code changes.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://gitlab.com/gitlab-org/gitlab/-/issues/217360
CONFIRM https://gitlab.com/gitlab-org/cves/-/blob/master/2021/CVE-2021-39932.json

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 11.0.0 < 14.3.6
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 14.4.0 < 14.4.4
cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:* gitlab >= 14.5.0 < 14.5.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status